> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niadra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Entregas de webhook

> Tentativas de entrega, status da resposta e a fila de mortos.



## OpenAPI

````yaml openapi/pt/cell.json GET /v1/webhooks/deliveries
openapi: 3.1.0
info:
  title: API de dados da Niadra
  version: '1'
  description: >-
    Escrita, contexto, histórico, objetos, identidade, privacidade e governança
    de um espaço. Cada espaço tem um endereço estável, com o espaço e a região
    no nome.
servers:
  - url: https://{space}.{region}.api.niadra.com
    variables:
      space:
        default: acme-prod
        description: O espaço, que vem na chave de fonte.
      region:
        default: us-east-1
        description: A região do espaço, que também vem na chave.
security: []
paths:
  /v1/webhooks/deliveries:
    get:
      tags:
        - operate
      summary: Entregas de webhook
      description: >-
        Lista as entregas dos webhooks de saída, com as tentativas, o último
        status e a próxima tentativa. Entregas com falha tentam de novo com
        recuo exponencial por 24 horas, depois viram `dead` e ficam 7 dias para
        você reenviar.


        **Autenticação.** Token de pessoa do Console com o papel `integration`
        (ou admin), ou chave de fonte com o escopo `admin`.
      operationId: list_deliveries_v1_webhooks_deliveries_get
      parameters:
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - maxLength: 200
                type: string
              - type: 'null'
            title: Cursor
          description: Cursor opaco, vindo de `next_cursor`.
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/DeliveryStatus'
              - type: 'null'
            title: Status
          example: dead
        - in: query
          name: endpoint_id
          required: false
          schema:
            anyOf:
              - maxLength: 128
                type: string
              - type: 'null'
            title: Endpoint Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeliveryPage'
              example:
                items:
                  - delivery_id: 0192f8d0-7e31-7a4b-9c5d-3e4f5a6b7c8d
                    endpoint_id: whe_crm
                    event_type: trigger.fired
                    status: dead
                    attempts: 14
                    last_status_code: 500
                    last_error: HTTP 500 from the endpoint
                    created_at: '2026-09-23T15:05:00Z'
                    delivered_at: null
                    next_attempt_at: null
                next_cursor: null
          description: Uma página de entregas.
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Problem'
          description: >-
            422 `invalid_input`, `verification_not_allowed` ou
            `about_without_link`.
      security:
        - sourceKey: []
        - personToken: []
components:
  schemas:
    DeliveryStatus:
      enum:
        - pending
        - delivered
        - failing
        - dead
      title: DeliveryStatus
      type: string
    DeliveryPage:
      additionalProperties: false
      properties:
        items:
          items:
            $ref: '#/components/schemas/DeliveryView'
          title: Items
          type: array
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      required:
        - items
      title: DeliveryPage
      type: object
    Problem:
      additionalProperties: false
      description: >-
        Detalhes do problema no formato da RFC 9457; `code` vem do catálogo de
        erros versionado.
      properties:
        code:
          title: Code
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Detail
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Request Id
        status:
          title: Status
          type: integer
        title:
          title: Title
          type: string
        type:
          default: about:blank
          title: Type
          type: string
      required:
        - title
        - status
        - code
      title: Problem
      type: object
    DeliveryView:
      additionalProperties: false
      properties:
        attempts:
          title: Attempts
          type: integer
        created_at:
          format: date-time
          title: Created At
          type: string
        delivered_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Delivered At
        delivery_id:
          title: Delivery Id
          type: string
        endpoint_id:
          title: Endpoint Id
          type: string
        event_type:
          title: Event Type
          type: string
        last_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error
        last_status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Status Code
        next_attempt_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Next Attempt At
        status:
          title: Status
          type: string
      required:
        - delivery_id
        - endpoint_id
        - event_type
        - status
        - attempts
        - created_at
      title: DeliveryView
      type: object
  securitySchemes:
    sourceKey:
      type: http
      scheme: bearer
      description: nia_sk_...
    personToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````